mixin contact(slice)
  section.contact(ng-controller="contact")
    .container
        if slice.primary.contact_title
          h1=  PrismicDOM.RichText.asText(slice.primary.contact_title, ctx.linkResolver)
        .contact-wrapper.col-lg-8.col-lg-push-2.col-md-10.col-md-push-1
          .contact-people.col-sm-4
            if slice.items.length > 0
              each personne, index in slice.items
                .personne(class=getColSize(slice.items.length, 6))
                  if personne.contact_photo.url
                    img(src=personne.contact_photo.url)
            else
              .personnes-default
                .personne
                  img(src="https://latricyclerie.cdn.prismic.io/latricyclerie/a40851dbb44a162d95b80228288d3e167f87f718_unadjustednonraw_thumb_53d.jpg")
                .personne
                  img(src="https://latricyclerie.cdn.prismic.io/latricyclerie/91adee78e12e53319907eb344e9e9bcdb3699ebc_unadjustednonraw_thumb_74c.jpg")
                .personne
                  img(src="https://latricyclerie.cdn.prismic.io/latricyclerie/429858b6bed072cc868982608bdbe663f6621608_7hyeggmksiimibz1nd4m0g_thumb_2dc5.jpg")

          .contact-form.col-sm-8
            .alert.alert-danger(ng-if="messages.error", role="alert")
              div(ng-repeat="error in messages.error") {{error.msg}}
            .alert.alert-success(ng-if="messages.success", role="alert")
              div(ng-repeat="success in messages.success") {{success.msg}}
            form.form-horizontal(ng-submit="sendContactForm()" ng-hide="messages.success")
              .group.clearfix
                input#name.form-control(type="text", name="name", required, ng-model="contact.name")
                //- .form-status
                span.bar
                label Votre nom

              .group.clearfix
                input#email.form-control(type="email", name="email", required, ng-model="contact.email")
                //- .form-status
                span.bar
                label Votre adresse e-mail

              .group.clearfix
                input#phone.form-control(type="tel", pattern="[0-9\+\ ]*" name="phone", ng-model="contact.phone")
                //- .form-status
                span.bar
                label Votre numéro de téléphone (si vous préférez être rappelé·e)

              .group.clearfix
                textarea#message.form-control(name="message", rows="7", required, ng-model="contact.message")
                //- .form-status
                span.bar
                label Votre message

              .pull-right
                button.btn.btn-success(type="submit" ng-disabled="is_sending")
                  i.fa.fa-paper-plane
                  span(ng-if="!is_sending") Envoyer
                  span(ng-if="is_sending") Envoi en cours…
